# -*- encoding: utf-8 -*-
# stub: bindata 2.3.1 ruby lib

Gem::Specification.new do |s|
  s.name = "bindata"
  s.version = "2.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Dion Mendel"]
  s.date = "2016-06-21"
  s.description = "BinData is a declarative way to read and write binary file formats.\n\nThis means the programmer specifies *what* the format of the binary\ndata is, and BinData works out *how* to read and write data in this\nformat.  It is an easier ( and more readable ) alternative to\nruby's #pack and #unpack methods.\n"
  s.email = "bindata@dm9.info"
  s.extra_rdoc_files = ["NEWS.rdoc"]
  s.files = ["BSDL", "COPYING", "ChangeLog.rdoc", "Gemfile", "INSTALL", "NEWS.rdoc", "README.md", "Rakefile", "bindata.gemspec", "examples/NBT.txt", "examples/gzip.rb", "examples/ip_address.rb", "examples/list.rb", "examples/nbt.rb", "examples/tcp_ip.rb", "lib/bindata.rb", "lib/bindata/alignment.rb", "lib/bindata/array.rb", "lib/bindata/base.rb", "lib/bindata/base_primitive.rb", "lib/bindata/bits.rb", "lib/bindata/buffer.rb", "lib/bindata/choice.rb", "lib/bindata/count_bytes_remaining.rb", "lib/bindata/delayed_io.rb", "lib/bindata/dsl.rb", "lib/bindata/float.rb", "lib/bindata/framework.rb", "lib/bindata/int.rb", "lib/bindata/io.rb", "lib/bindata/lazy.rb", "lib/bindata/name.rb", "lib/bindata/offset.rb", "lib/bindata/params.rb", "lib/bindata/primitive.rb", "lib/bindata/record.rb", "lib/bindata/registry.rb", "lib/bindata/rest.rb", "lib/bindata/sanitize.rb", "lib/bindata/skip.rb", "lib/bindata/string.rb", "lib/bindata/stringz.rb", "lib/bindata/struct.rb", "lib/bindata/trace.rb", "lib/bindata/version.rb", "lib/bindata/virtual.rb", "lib/bindata/warnings.rb", "test/alignment_test.rb", "test/array_test.rb", "test/base_primitive_test.rb", "test/base_test.rb", "test/bits_test.rb", "test/buffer_test.rb", "test/choice_test.rb", "test/count_bytes_remaining_test.rb", "test/delayed_io_test.rb", "test/float_test.rb", "test/int_test.rb", "test/io_test.rb", "test/lazy_test.rb", "test/offset_test.rb", "test/params_test.rb", "test/primitive_test.rb", "test/record_test.rb", "test/registry_test.rb", "test/rest_test.rb", "test/skip_test.rb", "test/string_test.rb", "test/stringz_test.rb", "test/struct_test.rb", "test/system_test.rb", "test/test_helper.rb", "test/virtual_test.rb", "test/warnings_test.rb"]
  s.homepage = "http://github.com/dmendel/bindata"
  s.licenses = ["Ruby"]
  s.rdoc_options = ["--main", "NEWS.rdoc"]
  s.rubyforge_project = "bindata"
  s.rubygems_version = "2.5.1"
  s.summary = "A declarative way to read and write binary file formats"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<minitest>, ["> 5.0.0"])
      s.add_development_dependency(%q<coveralls>, [">= 0"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<minitest>, ["> 5.0.0"])
      s.add_dependency(%q<coveralls>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<minitest>, ["> 5.0.0"])
    s.add_dependency(%q<coveralls>, [">= 0"])
  end
end
